Bug 102519 - Evolution out of sync with local spool files
Evolution out of sync with local spool files
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: evolution (Show other bugs)
1.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-16 09:31 EDT by Dams
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-28 09:16:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dams 2003-08-16 09:31:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
I configured evolution to catch mails in my /var/spool/mail/$login (local file,
no nfs). Sometimes evolution seems to be unable to sync its views with this file.

Version-Release number of selected component (if applicable):
evolution-1.4.4-3

How reproducible:
Sometimes

Steps to Reproduce:
1. evolution &
2. Use it for some times.
3. When you know a new mail arrived click on the INBOX folder matching the
/var/spool/mail/$login file.

Actual Results:  Panel on the left is refreshed and print in bold how many new
mail you have. But you cannot see them in the list of mails in the central
panel. (i can provide a screenshot if needed but only to whom the bug is
assigned, i dont want to make my emails appears to everybody. privacy stuff and
all).

Additional info:

When i kill evolution and relaunch it the both views are synced with the
/var/spool/mail/$login file. It happened 4 or 5 times just today.

I run this on rh90 with some upgrades from rawhide (all stuff evolution need).
Comment 1 Dams 2003-08-16 09:36:12 EDT
Something that might be related : sometimes when i'm the Trash matching the
/var/spool/mail/$login, if i try to expunge, then Evolution freeze and i have to
kill it the hard way.
Comment 2 Jeremy Katz 2003-09-02 19:04:19 EDT
Does this happen with 1.4.4?  What sort of filesystem is your mail spool on? 
Are atimes/mtimes getting updated appropriately?
Comment 3 Dams 2003-09-02 19:28:47 EDT
Yes 1.4.4-3. File system is ext3. All mount options are redhat defaults.
Didnt test 1.4.4-4 but its changelog doesnt seem to bring useful things.

[anvil@gruyere ~]# df /var/spool/mail
SysFichier            Tail. Util.Disp. Uti% Monté sur
/dev/sda2             4.0G  3.6G  175M  96% /
[anvil@gruyere ~]# mount
/dev/sda2 on / type ext3 (rw)
[anvil@gruyere ~]# head -1 /etc/fstab
LABEL=/                 /                       ext3    defaults        1 1

Kernel is up-to-date redhat smp kernel.
Linux gruyere 2.4.20-20.9smp #1 SMP Mon Aug 18 11:18:01 EDT 2003 i686 athlon
i386 GNU/Linux

(if you want complete hardware description i can give you this machine id on rhn)
Comment 4 Dave Malcolm 2004-09-27 21:53:24 EDT
I'm sorry that this bug has gone for so long without activity.

Are you still able to reproduce this bug?
Comment 5 Dams 2004-09-28 09:16:20 EDT
No. It's been fixed long ago.

Note You need to log in before you can comment on or make changes to this bug.